//*******************************************************************************
//  Description; This example shows the correct setup and usage of the MMC
//  Library
//
//  S. Schauer und W.Grbel Halle
//  Texas Instruments, Inc
//  June 2005   + April +Aug 2006  Juni 2009

//******************************************************************************

#include <msp430x16x.h>
#include "TS_P25_SDTI.h"
#include "TS_P25_SDTI.c"


unsigned long cardSize = 0;
unsigned char status = 1;
unsigned int timeout = 0;
int i = 0;
unsigned char buffer[512];
void SD_Beginn(void);
char initMMC (void);
void Text_eintragen(void);
void AusgabeFKA1(void);
void Fehlermeldung_ausgeben(void);
void loeschenFKA(void);
void Adresse_Cursor(unsigned int d);
void FKAE(void);


void SD_Beginn(void)
{

  //Initialisation of the MMC/SD-card  
 while (status != 0)                       // if return in not NULL an error did occur and the
                                            // MMC/SD-card will be initialized again
  {
    status = initMMC();
    timeout++;
    if (timeout == 30)                      // Try 50 times till error
    {

        P5OUT &= ~BIT5;                  //LED rot EIN
       
      
        
    //  Fehlermeldung_ausgeben();
     // FKAE();
     // TACTL &=~ MC0; //schaltet bei fehlender Karte Timer ab
      break;
     }
  }

 //Wolfgang   while ((mmc_ping() != MMC_SUCCESS));      // Wait till card is inserted

 // Read the Card Size from the CSD Register
 // cardSize =  MMC_ReadCardSize();            //abgestellt
// Text_eintragen();
// Timer_einstellen();

/* for (i = 0; i<=512 ; i++) buffer[i] = i+30;
  mmcWriteSector(1, buffer);                // write a 512 Byte big block beginning at the (aligned) adress

  for (i = 0; i <= 512; i++) buffer[i] = i+48;
  mmcWriteSector(4, buffer);                // write a 512 Byte big block beginning at the (aligned) adress

  mmcReadSector(1, buffer);                 // read a size Byte big block beginning at the address.

  mmcReadSector(2, buffer);                // read a size Byte big block beginning at the address.

  mmc_GoIdle();  */                       // set MMC in Idle mode

 // while (1);
}


